
#define NO_ERROR 0
#define BAD_FILE 1
#define FILE_NOT_FOUND 2

#define TOO_MANY_CLIENTS 0
#define SERVER_LOCKED 1
#define NO_CLIENT_FOUND 2
#define CLIENT_FOUND 3

#define NO_SELECTED_CELLS 0
#define NO_VALID_TYPE 1

#define LABEL_NOT_FOUND 2
#define SET_NOT_FOUND 3

#define OUT_OF_BOUNDS 4

#define GR_COLUMN_CHART 0
#define GR_STACKEDCOLUMN_CHART 1
#define GR_BAR_CHART 2
#define GR_STACKEDBAR_CHART 3
#define GR_PIE_CHART 4
#define GR_AREA_CHART 5
#define GR_DENSITY_CHART 6
#define GR_HIGH_LOW_CHART 7
#define GR_HIGH_LOW_CLOSE_CHART 8
#define GR_HIGH_LOW_OPEN_CLOSE_CHART 9
#define GR_SCATTER_CHART 10
#define GR_LINE_CHART 11
#define GR_XY_CHART 12
#define GR_XYLINE_CHART 13

enum axisLocation{
left_axis=0,
right_axis=1,
top_axis=2,
bottom_axis=3,
x_axis=4,
y_axis=5,
};

enum labelFormat{
general=0, /* 12.34 */
scE=1,     /* 1.123E1 */
sce=2,     /* 1.234e1 */
natural=3, /* the natural format 12.34 => 12.34, 12.00 => 12 */
};

enum scaleType{
linearScale=0,
logScale=1,
};

typedef struct{
int r,c;
BOOL isValue;
float val;
char *string;
} GRCell;

typedef struct{
int r, c;
} GRAddress;
