

@protocol GraphRightServer

- (int)GR_registerWithServer:sender
                     forName:(const char *)name
                      onHost:(const char *)host;

- GR_createNewNotebook;
- GR_loadNotebook:(const char *)filename;
- GR_loadASCIIFile:(const char *)filename
         cellDelim:(const char[2])cellDelim
          rowDelim:(const char[2])rowDelim
            ignore:(const char[3])ignored;

- (int)GR_quitAndAllowSave:(BOOL)allowSave;
- (int)GR_hide;
- (int)GR_makeFront;
- (int)GR_numberOfNotebooks;
- GR_currentNotebooks;
- GR_sayHello;
- GR_getOpenNotebook:(const char *)filename;

@end
